Subject: Re: git-svn strangeness with tags and Squirrelmail repo

From: Peter Baumann <[email-masked]>
Date: Wed, 20 Jun 2007 12:33:17 +0200

On Wed, Jun 20, 2007 at 09:13:18PM +1200, Martin Langhoff wrote:
[...]
> > >   [svn-remote "svn"]
> > >        url = http://squirrelmail.svn.sourceforge.net/svnroot/squirrelmail
> > >        fetch = trunk/squirrelmail:refs/heads/svn/trunk
> > >        branches = branches/*/squirrelmail:refs/heads/svn/*
> > >        tags = tags/*/squirrelmail:refs/tags/svn/*
> >
> > git-svn expects 'refs/remotes/' in the local ref name.  Otherwise,
> > the left-hand side is correct.
> 
>  Good to know!
> 
> > > and when I do that -- trunk and branches do what I want, but tags
> > > aren't imported anymore. :-/
> >
> > Now its odd to me that trunks and branches even works with those ref
> > names.
> 
>  I'm lucky then ;-)
> 
>  My reason for the "alternative" locations is to match a bit better the
>  v1.5.0 behaviour re branches, tags and remotes, and to run the import
>  directly into a bare repo on git.catalyst.net.nz
> 
>  - Tags, by virtue of landing under refs/remotes are being treated as
>  heads rather than tags. That's why I want to have them in
>  refs/tags/<bla>/*
> 

But Tags are just heads in SVN. There are many repos where a tag changes
in time and so tags are often used as they were branches where you
develop on.

>  - If branches + trunk end up in refs/remotes then my bare repo /
>  gateway doesn't work well - -refs/remotes aren't cloned or fetched
> 
>  - gitweb refuses to show those heads/tags (maybe it's because it's an
>  old version?)
> 
[ Not sure about this, but could it be that gitweb never shows branches
  under refs/remotes ? ]

-Peter